### Signal

# EBackend UserPrompterServer::prompt

#### Declaration

    void
    prompt (
      EUserPrompterServer* self,
      gint prompt_id,
      gchar* type,
      gchar* title,
      gchar* primary_text,
      gchar* secondary_text,
      gboolean use_markup,
      char** button_captions,
      gpointer user_data
    )

#### Description

No description available.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`prompt_id`

  Type: `gint`

  The id of the prompt.

`type`

  Type: `gchar*`

  Type of the prompt; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`title`

  Type: `gchar*`

  Window title of the prompt; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`primary_text`

  Type: `gchar*`

  Primary text of the prompt; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`secondary_text`

  Type: `gchar*`

  Secondary text of the prompt; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`use_markup`

  Type: `gboolean`

  Whether both texts are with markup.

`button_captions`

  Type: An array of `utf8`

  Captions of buttons to use in the message; can be `NULL`.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.